org.eclipse.rdf4j.model.vocabulary

## Class ODRL2

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.ODRL2

-     public class ODRL2
      extends Object

  Constants for the Open Digital Rights Language.
  Author:
    Bart Hanssens
  See Also:
    Open Digital Rights Language

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ABSOLUTE_POSITION` odrl:absolutePosition
    `static IRI` | `ABSOLUTE_SIZE` odrl:absoluteSize
    `static IRI` | `ABSOLUTE_SPATIAL_POSITION` odrl:absoluteSpatialPosition
    `static IRI` | `ABSOLUTE_TEMPORAL_POSITION` odrl:absoluteTemporalPosition
    `static IRI` | `ACCEPT_TRACKING` odrl:acceptTracking
    `static IRI` | `ACTION` odrl:Action
    `static IRI` | `ACTION_PROP` odrl:action
    `static IRI` | `AD_HOC_SHARE` Deprecated.
    `static IRI` | `AGGREGATE` odrl:aggregate
    `static IRI` | `AGREEMENT` odrl:Agreement
    `static IRI` | `ALL` Deprecated.
    `static IRI` | `ALL_CONNECTIONS` Deprecated.
    `static IRI` | `ALL_GROUPS` Deprecated.
    `static IRI` | `ALL2ND_CONNECTIONS` Deprecated.
    `static IRI` | `AND` odrl:and
    `static IRI` | `AND_SEQUENCE` odrl:andSequence
    `static IRI` | `ANNOTATE` odrl:annotate
    `static IRI` | `ANONYMIZE` odrl:anonymize
    `static IRI` | `APPEND` Deprecated.
    `static IRI` | `APPEND_TO` Deprecated.
    `static IRI` | `ARCHIVE` odrl:archive
    `static IRI` | `ASSERTION` odrl:Assertion
    `static IRI` | `ASSET` odrl:Asset
    `static IRI` | `ASSET_COLLECTION` odrl:AssetCollection
    `static IRI` | `ASSET_SCOPE` Deprecated.
    `static IRI` | `ASSIGNEE` odrl:assignee
    `static IRI` | `ASSIGNEE_OF` odrl:assigneeOf
    `static IRI` | `ASSIGNER` odrl:assigner
    `static IRI` | `ASSIGNER_OF` odrl:assignerOf
    `static IRI` | `ATTACH_POLICY` Deprecated.
    `static IRI` | `ATTACH_SOURCE` Deprecated.
    `static IRI` | `ATTRIBUTE` odrl:attribute
    `static IRI` | `ATTRIBUTED_PARTY` odrl:attributedParty
    `static IRI` | `ATTRIBUTING_PARTY` odrl:attributingParty
    `static IRI` | `COMMERCIALIZE` Deprecated.
    `static IRI` | `COMPENSATE` odrl:compensate
    `static IRI` | `COMPENSATED_PARTY` odrl:compensatedParty
    `static IRI` | `COMPENSATING_PARTY` odrl:compensatingParty
    `static IRI` | `CONCURRENT_USE` odrl:concurrentUse
    `static IRI` | `CONFLICT` odrl:conflict
    `static IRI` | `CONFLICT_TERM` odrl:ConflictTerm
    `static IRI` | `CONSENTED_PARTY` odrl:consentedParty
    `static IRI` | `CONSENTING_PARTY` odrl:consentingParty
    `static IRI` | `CONSEQUENCE` odrl:consequence
    `static IRI` | `CONSTRAINT` odrl:Constraint
    `static IRI` | `CONSTRAINT_PROP` odrl:constraint
    `static IRI` | `CONTRACTED_PARTY` odrl:contractedParty
    `static IRI` | `CONTRACTING_PARTY` odrl:contractingParty
    `static IRI` | `COPY` Deprecated.
    `static IRI` | `COUNT` odrl:count
    `static IRI` | `DATA_TYPE` odrl:dataType
    `static IRI` | `DATE_TIME` odrl:dateTime
    `static IRI` | `DELAY_PERIOD` odrl:delayPeriod
    `static IRI` | `DELETE` odrl:delete
    `static IRI` | `DELIVERY_CHANNEL` odrl:deliveryChannel
    `static IRI` | `DERIVE` odrl:derive
    `static IRI` | `DEVICE` Deprecated.
    `static IRI` | `DIGITIZE` odrl:digitize
    `static IRI` | `DISPLAY` odrl:display
    `static IRI` | `DISTRIBUTE` odrl:distribute
    `static IRI` | `DUTY` odrl:Duty
    `static IRI` | `DUTY_PROP` odrl:duty
    `static IRI` | `ELAPSED_TIME` odrl:elapsedTime
    `static IRI` | `ENSURE_EXCLUSIVITY` odrl:ensureExclusivity
    `static IRI` | `EQ` odrl:eq
    `static IRI` | `EVENT` odrl:event
    `static IRI` | `EXECUTE` odrl:execute
    `static IRI` | `EXPORT` Deprecated.
    `static IRI` | `EXTRACT` odrl:extract
    `static IRI` | `EXTRACT_CHAR` Deprecated.
    `static IRI` | `EXTRACT_PAGE` Deprecated.
    `static IRI` | `EXTRACT_WORD` Deprecated.
    `static IRI` | `FAILURE` odrl:failure
    `static IRI` | `FILE_FORMAT` odrl:fileFormat
    `static IRI` | `FUNCTION` odrl:function
    `static IRI` | `GIVE` odrl:give
    `static IRI` | `GRANT_USE` odrl:grantUse
    `static IRI` | `GROUP` Deprecated.
    `static IRI` | `GT` odrl:gt
    `static IRI` | `GTEQ` odrl:gteq
    `static IRI` | `HAS_PART` odrl:hasPart
    `static IRI` | `HAS_POLICY` odrl:hasPolicy
    `static IRI` | `IGNORE` Deprecated.
    `static IRI` | `IMPLIES` odrl:implies
    `static IRI` | `INCLUDE` odrl:include
    `static IRI` | `INCLUDED_IN` odrl:includedIn
    `static IRI` | `INDEX` odrl:index
    `static IRI` | `INDIVIDUAL` Deprecated.
    `static IRI` | `INDUSTRY` odrl:industry
    `static IRI` | `INFORM` odrl:inform
    `static IRI` | `INFORMED_PARTY` odrl:informedParty
    `static IRI` | `INFORMING_PARTY` odrl:informingParty
    `static IRI` | `INHERIT_ALLOWED` Deprecated.
    `static IRI` | `INHERIT_FROM` odrl:inheritFrom
    `static IRI` | `INHERIT_RELATION` Deprecated.
    `static IRI` | `INSTALL` odrl:install
    `static IRI` | `INVALID` odrl:invalid
    `static IRI` | `IS_A` odrl:isA
    `static IRI` | `IS_ALL_OF` odrl:isAllOf
    `static IRI` | `IS_ANY_OF` odrl:isAnyOf
    `static IRI` | `IS_NONE_OF` odrl:isNoneOf
    `static IRI` | `IS_PART_OF` odrl:isPartOf
    `static IRI` | `LANGUAGE` odrl:language
    `static IRI` | `LEASE` Deprecated.
    `static IRI` | `LEFT_OPERAND` odrl:LeftOperand
    `static IRI` | `LEFT_OPERAND_PROP` odrl:leftOperand
    `static IRI` | `LEND` Deprecated.
    `static IRI` | `LICENSE` Deprecated.
    `static IRI` | `LOGICAL_CONSTRAINT` odrl:LogicalConstraint
    `static IRI` | `LT` odrl:lt
    `static IRI` | `LTEQ` odrl:lteq
    `static IRI` | `MEDIA` odrl:media
    `static IRI` | `METERED_TIME` odrl:meteredTime
    `static IRI` | `MODIFY` odrl:modify
    `static IRI` | `MOVE` odrl:move
    `static String` | `NAMESPACE` The ODRL 2.2 namespace: http://www.w3.org/ns/odrl/2/
    `static IRI` | `NEQ` odrl:neq
    `static IRI` | `NEXT_POLICY` odrl:nextPolicy
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `OBLIGATION` odrl:obligation
    `static IRI` | `OBTAIN_CONSENT` odrl:obtainConsent
    `static IRI` | `OFFER` odrl:Offer
    `static IRI` | `OPERAND` odrl:operand
    `static IRI` | `OPERATOR` odrl:Operator
    `static IRI` | `OPERATOR_PROP` odrl:operator
    `static IRI` | `OR` odrl:or
    `static IRI` | `OUTPUT` odrl:output
    `static IRI` | `PART_OF` odrl:partOf
    `static IRI` | `PARTY` odrl:Party
    `static IRI` | `PARTY_COLLECTION` odrl:PartyCollection
    `static IRI` | `PARTY_SCOPE` Deprecated.
    `static IRI` | `PAY` Deprecated.
    `static IRI` | `PAY_AMOUNT` odrl:payAmount
    `static IRI` | `PAYEE_PARTY` Deprecated.
    `static IRI` | `PERCENTAGE` odrl:percentage
    `static IRI` | `PERM` odrl:perm
    `static IRI` | `PERMISSION` odrl:Permission
    `static IRI` | `PERMISSION_PROP` odrl:permission
    `static IRI` | `PLAY` odrl:play
    `static IRI` | `POLICY` odrl:Policy
    `static IRI` | `POLICY_USAGE` odrl:policyUsage
    `static String` | `PREFIX` Recommended prefix for the namespace: "odrl"
    `static IRI` | `PRESENT` odrl:present
    `static IRI` | `PREVIEW` Deprecated.
    `static IRI` | `PRINT` odrl:print
    `static IRI` | `PRIVACY` odrl:Privacy
    `static IRI` | `PRODUCT` odrl:product
    `static IRI` | `PROFILE` odrl:profile
    `static IRI` | `PROHIBIT` odrl:prohibit
    `static IRI` | `PROHIBITION` odrl:Prohibition
    `static IRI` | `PROHIBITION_PROP` odrl:prohibition
    `static IRI` | `PROXIMITY` Deprecated.
    `static IRI` | `PURPOSE` odrl:purpose
    `static IRI` | `READ` odrl:read
    `static IRI` | `RECIPIENT` odrl:recipient
    `static IRI` | `REFINEMENT` odrl:refinement
    `static IRI` | `RELATION` odrl:relation
    `static IRI` | `RELATIVE_POSITION` odrl:relativePosition
    `static IRI` | `RELATIVE_SIZE` odrl:relativeSize
    `static IRI` | `RELATIVE_SPATIAL_POSITION` odrl:relativeSpatialPosition
    `static IRI` | `RELATIVE_TEMPORAL_POSITION` odrl:relativeTemporalPosition
    `static IRI` | `REMEDY` odrl:remedy
    `static IRI` | `REPRODUCE` odrl:reproduce
    `static IRI` | `REQUEST` odrl:Request
    `static IRI` | `RESOLUTION` odrl:resolution
    `static IRI` | `REVIEW_POLICY` odrl:reviewPolicy
    `static IRI` | `RIGHT_OPERAND` odrl:RightOperand
    `static IRI` | `RIGHT_OPERAND_PROP` odrl:rightOperand
    `static IRI` | `RIGHT_OPERAND_REFERENCE` odrl:rightOperandReference
    `static IRI` | `RULE` odrl:Rule
    `static IRI` | `SCOPE` Deprecated.
    `static IRI` | `SECONDARY_USE` Deprecated.
    `static IRI` | `SELL` odrl:sell
    `static IRI` | `SET` odrl:Set
    `static IRI` | `SHARE` Deprecated.
    `static IRI` | `SHARE_ALIKE` Deprecated.
    `static IRI` | `SOURCE` odrl:source
    `static IRI` | `SPATIAL` odrl:spatial
    `static IRI` | `SPATIAL_COORDINATES` odrl:spatialCoordinates
    `static IRI` | `STATUS` odrl:status
    `static IRI` | `STREAM` odrl:stream
    `static IRI` | `SUPPORT` Deprecated.
    `static IRI` | `SYNCHRONIZE` odrl:synchronize
    `static IRI` | `SYSTEM` Deprecated.
    `static IRI` | `SYSTEM_DEVICE` odrl:systemDevice
    `static IRI` | `TARGET` odrl:target
    `static IRI` | `TEXT_TO_SPEECH` odrl:textToSpeech
    `static IRI` | `TICKET` odrl:Ticket
    `static IRI` | `TIME_INTERVAL` odrl:timeInterval
    `static IRI` | `TIMED_COUNT` Deprecated.
    `static IRI` | `TRACKED_PARTY` odrl:trackedParty
    `static IRI` | `TRACKING_PARTY` odrl:trackingParty
    `static IRI` | `TRANSFER` odrl:transfer
    `static IRI` | `TRANSFORM` odrl:transform
    `static IRI` | `TRANSLATE` odrl:translate
    `static IRI` | `UID` odrl:uid
    `static IRI` | `UNDEFINED` Deprecated.
    `static IRI` | `UNDEFINED_TERM` Deprecated.
    `static IRI` | `UNINSTALL` odrl:uninstall
    `static IRI` | `UNIT` odrl:unit
    `static IRI` | `UNIT_OF_COUNT` odrl:unitOfCount
    `static IRI` | `USE` odrl:use
    `static IRI` | `VERSION` odrl:version
    `static IRI` | `VIRTUAL_LOCATION` odrl:virtualLocation
    `static IRI` | `WATERMARK` odrl:watermark
    `static IRI` | `WRITE` Deprecated.
    `static IRI` | `WRITE_TO` Deprecated.
    `static IRI` | `XONE` odrl:xone

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODRL2()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The ODRL 2.2 namespace: http://www.w3.org/ns/odrl/2/
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "odrl"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ACTION

          public static final IRI ACTION

      odrl:Action

    - #### AGREEMENT

          public static final IRI AGREEMENT

      odrl:Agreement

    - #### ASSERTION

          public static final IRI ASSERTION

      odrl:Assertion

    - #### ASSET

          public static final IRI ASSET

      odrl:Asset

    - #### ASSET_COLLECTION

          public static final IRI ASSET_COLLECTION

      odrl:AssetCollection

    - #### ASSET_SCOPE

          @Deprecated
          public static final IRI ASSET_SCOPE

      Deprecated.
      odrl:AssetScope

    - #### CONFLICT_TERM

          public static final IRI CONFLICT_TERM

      odrl:ConflictTerm

    - #### CONSTRAINT

          public static final IRI CONSTRAINT

      odrl:Constraint

    - #### DUTY

          public static final IRI DUTY

      odrl:Duty

    - #### LEFT_OPERAND

          public static final IRI LEFT_OPERAND

      odrl:LeftOperand

    - #### LOGICAL_CONSTRAINT

          public static final IRI LOGICAL_CONSTRAINT

      odrl:LogicalConstraint

    - #### OFFER

          public static final IRI OFFER

      odrl:Offer

    - #### OPERATOR

          public static final IRI OPERATOR

      odrl:Operator

    - #### PARTY

          public static final IRI PARTY

      odrl:Party

    - #### PARTY_COLLECTION

          public static final IRI PARTY_COLLECTION

      odrl:PartyCollection

    - #### PARTY_SCOPE

          @Deprecated
          public static final IRI PARTY_SCOPE

      Deprecated.
      odrl:PartyScope

    - #### PERMISSION

          public static final IRI PERMISSION

      odrl:Permission

    - #### POLICY

          public static final IRI POLICY

      odrl:Policy

    - #### PRIVACY

          public static final IRI PRIVACY

      odrl:Privacy

    - #### PROHIBITION

          public static final IRI PROHIBITION

      odrl:Prohibition

    - #### REQUEST

          public static final IRI REQUEST

      odrl:Request

    - #### RIGHT_OPERAND

          public static final IRI RIGHT_OPERAND

      odrl:RightOperand

    - #### RULE

          public static final IRI RULE

      odrl:Rule

    - #### SET

          public static final IRI SET

      odrl:Set

    - #### TICKET

          public static final IRI TICKET

      odrl:Ticket

    - #### UNDEFINED_TERM

          @Deprecated
          public static final IRI UNDEFINED_TERM

      Deprecated.
      odrl:UndefinedTerm

    - #### ACTION_PROP

          public static final IRI ACTION_PROP

      odrl:action

    - #### AND

          public static final IRI AND

      odrl:and

    - #### AND_SEQUENCE

          public static final IRI AND_SEQUENCE

      odrl:andSequence

    - #### ASSIGNEE

          public static final IRI ASSIGNEE

      odrl:assignee

    - #### ASSIGNEE_OF

          public static final IRI ASSIGNEE_OF

      odrl:assigneeOf

    - #### ASSIGNER

          public static final IRI ASSIGNER

      odrl:assigner

    - #### ASSIGNER_OF

          public static final IRI ASSIGNER_OF

      odrl:assignerOf

    - #### ATTRIBUTED_PARTY

          public static final IRI ATTRIBUTED_PARTY

      odrl:attributedParty

    - #### ATTRIBUTING_PARTY

          public static final IRI ATTRIBUTING_PARTY

      odrl:attributingParty

    - #### COMPENSATED_PARTY

          public static final IRI COMPENSATED_PARTY

      odrl:compensatedParty

    - #### COMPENSATING_PARTY

          public static final IRI COMPENSATING_PARTY

      odrl:compensatingParty

    - #### CONFLICT

          public static final IRI CONFLICT

      odrl:conflict

    - #### CONSENTED_PARTY

          public static final IRI CONSENTED_PARTY

      odrl:consentedParty

    - #### CONSENTING_PARTY

          public static final IRI CONSENTING_PARTY

      odrl:consentingParty

    - #### CONSEQUENCE

          public static final IRI CONSEQUENCE

      odrl:consequence

    - #### CONSTRAINT_PROP

          public static final IRI CONSTRAINT_PROP

      odrl:constraint

    - #### CONTRACTED_PARTY

          public static final IRI CONTRACTED_PARTY

      odrl:contractedParty

    - #### CONTRACTING_PARTY

          public static final IRI CONTRACTING_PARTY

      odrl:contractingParty

    - #### DATA_TYPE

          public static final IRI DATA_TYPE

      odrl:dataType

    - #### DUTY_PROP

          public static final IRI DUTY_PROP

      odrl:duty

    - #### FAILURE

          public static final IRI FAILURE

      odrl:failure

    - #### FUNCTION

          public static final IRI FUNCTION

      odrl:function

    - #### HAS_POLICY

          public static final IRI HAS_POLICY

      odrl:hasPolicy

    - #### IMPLIES

          public static final IRI IMPLIES

      odrl:implies

    - #### INCLUDED_IN

          public static final IRI INCLUDED_IN

      odrl:includedIn

    - #### INFORMED_PARTY

          public static final IRI INFORMED_PARTY

      odrl:informedParty

    - #### INFORMING_PARTY

          public static final IRI INFORMING_PARTY

      odrl:informingParty

    - #### INHERIT_ALLOWED

          @Deprecated
          public static final IRI INHERIT_ALLOWED

      Deprecated.
      odrl:inheritAllowed

    - #### INHERIT_FROM

          public static final IRI INHERIT_FROM

      odrl:inheritFrom

    - #### INHERIT_RELATION

          @Deprecated
          public static final IRI INHERIT_RELATION

      Deprecated.
      odrl:inheritRelation

    - #### LEFT_OPERAND_PROP

          public static final IRI LEFT_OPERAND_PROP

      odrl:leftOperand

    - #### OBLIGATION

          public static final IRI OBLIGATION

      odrl:obligation

    - #### OPERAND

          public static final IRI OPERAND

      odrl:operand

    - #### OPERATOR_PROP

          public static final IRI OPERATOR_PROP

      odrl:operator

    - #### OR

          public static final IRI OR

      odrl:or

    - #### OUTPUT

          public static final IRI OUTPUT

      odrl:output

    - #### PART_OF

          public static final IRI PART_OF

      odrl:partOf

    - #### PAYEE_PARTY

          @Deprecated
          public static final IRI PAYEE_PARTY

      Deprecated.
      odrl:payeeParty

    - #### PERMISSION_PROP

          public static final IRI PERMISSION_PROP

      odrl:permission

    - #### PROFILE

          public static final IRI PROFILE

      odrl:profile

    - #### PROHIBITION_PROP

          public static final IRI PROHIBITION_PROP

      odrl:prohibition

    - #### PROXIMITY

          @Deprecated
          public static final IRI PROXIMITY

      Deprecated.
      odrl:proximity

    - #### REFINEMENT

          public static final IRI REFINEMENT

      odrl:refinement

    - #### RELATION

          public static final IRI RELATION

      odrl:relation

    - #### REMEDY

          public static final IRI REMEDY

      odrl:remedy

    - #### RIGHT_OPERAND_PROP

          public static final IRI RIGHT_OPERAND_PROP

      odrl:rightOperand

    - #### RIGHT_OPERAND_REFERENCE

          public static final IRI RIGHT_OPERAND_REFERENCE

      odrl:rightOperandReference

    - #### SCOPE

          @Deprecated
          public static final IRI SCOPE

      Deprecated.
      odrl:scope

    - #### SOURCE

          public static final IRI SOURCE

      odrl:source

    - #### STATUS

          public static final IRI STATUS

      odrl:status

    - #### TARGET

          public static final IRI TARGET

      odrl:target

    - #### TIMED_COUNT

          @Deprecated
          public static final IRI TIMED_COUNT

      Deprecated.
      odrl:timedCount

    - #### TRACKED_PARTY

          public static final IRI TRACKED_PARTY

      odrl:trackedParty

    - #### TRACKING_PARTY

          public static final IRI TRACKING_PARTY

      odrl:trackingParty

    - #### UID

          public static final IRI UID

      odrl:uid

    - #### UNDEFINED

          @Deprecated
          public static final IRI UNDEFINED

      Deprecated.
      odrl:undefined

    - #### UNIT

          public static final IRI UNIT

      odrl:unit

    - #### XONE

          public static final IRI XONE

      odrl:xone

    - #### ALL

          @Deprecated
          public static final IRI ALL

      Deprecated.
      odrl:All

    - #### ALL2ND_CONNECTIONS

          @Deprecated
          public static final IRI ALL2ND_CONNECTIONS

      Deprecated.
      odrl:All2ndConnections

    - #### ALL_CONNECTIONS

          @Deprecated
          public static final IRI ALL_CONNECTIONS

      Deprecated.
      odrl:AllConnections

    - #### ALL_GROUPS

          @Deprecated
          public static final IRI ALL_GROUPS

      Deprecated.
      odrl:AllGroups

    - #### GROUP

          @Deprecated
          public static final IRI GROUP

      Deprecated.
      odrl:Group

    - #### INDIVIDUAL

          @Deprecated
          public static final IRI INDIVIDUAL

      Deprecated.
      odrl:Individual

    - #### ABSOLUTE_POSITION

          public static final IRI ABSOLUTE_POSITION

      odrl:absolutePosition

    - #### ABSOLUTE_SIZE

          public static final IRI ABSOLUTE_SIZE

      odrl:absoluteSize

    - #### ABSOLUTE_SPATIAL_POSITION

          public static final IRI ABSOLUTE_SPATIAL_POSITION

      odrl:absoluteSpatialPosition

    - #### ABSOLUTE_TEMPORAL_POSITION

          public static final IRI ABSOLUTE_TEMPORAL_POSITION

      odrl:absoluteTemporalPosition

    - #### ACCEPT_TRACKING

          public static final IRI ACCEPT_TRACKING

      odrl:acceptTracking

    - #### AD_HOC_SHARE

          @Deprecated
          public static final IRI AD_HOC_SHARE

      Deprecated.
      odrl:adHocShare

    - #### AGGREGATE

          public static final IRI AGGREGATE

      odrl:aggregate

    - #### ANNOTATE

          public static final IRI ANNOTATE

      odrl:annotate

    - #### ANONYMIZE

          public static final IRI ANONYMIZE

      odrl:anonymize

    - #### APPEND

          @Deprecated
          public static final IRI APPEND

      Deprecated.
      odrl:append

    - #### APPEND_TO

          @Deprecated
          public static final IRI APPEND_TO

      Deprecated.
      odrl:appendTo

    - #### ARCHIVE

          public static final IRI ARCHIVE

      odrl:archive

    - #### ATTACH_POLICY

          @Deprecated
          public static final IRI ATTACH_POLICY

      Deprecated.
      odrl:attachPolicy

    - #### ATTACH_SOURCE

          @Deprecated
          public static final IRI ATTACH_SOURCE

      Deprecated.
      odrl:attachSource

    - #### ATTRIBUTE

          public static final IRI ATTRIBUTE

      odrl:attribute

    - #### COMMERCIALIZE

          @Deprecated
          public static final IRI COMMERCIALIZE

      Deprecated.
      odrl:commercialize

    - #### COMPENSATE

          public static final IRI COMPENSATE

      odrl:compensate

    - #### CONCURRENT_USE

          public static final IRI CONCURRENT_USE

      odrl:concurrentUse

    - #### COPY

          @Deprecated
          public static final IRI COPY

      Deprecated.
      odrl:copy

    - #### COUNT

          public static final IRI COUNT

      odrl:count

    - #### DATE_TIME

          public static final IRI DATE_TIME

      odrl:dateTime

    - #### DELAY_PERIOD

          public static final IRI DELAY_PERIOD

      odrl:delayPeriod

    - #### DELETE

          public static final IRI DELETE

      odrl:delete

    - #### DELIVERY_CHANNEL

          public static final IRI DELIVERY_CHANNEL

      odrl:deliveryChannel

    - #### DERIVE

          public static final IRI DERIVE

      odrl:derive

    - #### DEVICE

          @Deprecated
          public static final IRI DEVICE

      Deprecated.
      odrl:device

    - #### DIGITIZE

          public static final IRI DIGITIZE

      odrl:digitize

    - #### DISPLAY

          public static final IRI DISPLAY

      odrl:display

    - #### DISTRIBUTE

          public static final IRI DISTRIBUTE

      odrl:distribute

    - #### ELAPSED_TIME

          public static final IRI ELAPSED_TIME

      odrl:elapsedTime

    - #### ENSURE_EXCLUSIVITY

          public static final IRI ENSURE_EXCLUSIVITY

      odrl:ensureExclusivity

    - #### EQ

          public static final IRI EQ

      odrl:eq

    - #### EVENT

          public static final IRI EVENT

      odrl:event

    - #### EXECUTE

          public static final IRI EXECUTE

      odrl:execute

    - #### EXPORT

          @Deprecated
          public static final IRI EXPORT

      Deprecated.
      odrl:export

    - #### EXTRACT

          public static final IRI EXTRACT

      odrl:extract

    - #### EXTRACT_CHAR

          @Deprecated
          public static final IRI EXTRACT_CHAR

      Deprecated.
      odrl:extractChar

    - #### EXTRACT_PAGE

          @Deprecated
          public static final IRI EXTRACT_PAGE

      Deprecated.
      odrl:extractPage

    - #### EXTRACT_WORD

          @Deprecated
          public static final IRI EXTRACT_WORD

      Deprecated.
      odrl:extractWord

    - #### FILE_FORMAT

          public static final IRI FILE_FORMAT

      odrl:fileFormat

    - #### GIVE

          public static final IRI GIVE

      odrl:give

    - #### GRANT_USE

          public static final IRI GRANT_USE

      odrl:grantUse

    - #### GT

          public static final IRI GT

      odrl:gt

    - #### GTEQ

          public static final IRI GTEQ

      odrl:gteq

    - #### HAS_PART

          public static final IRI HAS_PART

      odrl:hasPart

    - #### IGNORE

          @Deprecated
          public static final IRI IGNORE

      Deprecated.
      odrl:ignore

    - #### INCLUDE

          public static final IRI INCLUDE

      odrl:include

    - #### INDEX

          public static final IRI INDEX

      odrl:index

    - #### INDUSTRY

          public static final IRI INDUSTRY

      odrl:industry

    - #### INFORM

          public static final IRI INFORM

      odrl:inform

    - #### INSTALL

          public static final IRI INSTALL

      odrl:install

    - #### INVALID

          public static final IRI INVALID

      odrl:invalid

    - #### IS_A

          public static final IRI IS_A

      odrl:isA

    - #### IS_ALL_OF

          public static final IRI IS_ALL_OF

      odrl:isAllOf

    - #### IS_ANY_OF

          public static final IRI IS_ANY_OF

      odrl:isAnyOf

    - #### IS_NONE_OF

          public static final IRI IS_NONE_OF

      odrl:isNoneOf

    - #### IS_PART_OF

          public static final IRI IS_PART_OF

      odrl:isPartOf

    - #### LANGUAGE

          public static final IRI LANGUAGE

      odrl:language

    - #### LEASE

          @Deprecated
          public static final IRI LEASE

      Deprecated.
      odrl:lease

    - #### LEND

          @Deprecated
          public static final IRI LEND

      Deprecated.
      odrl:lend

    - #### LICENSE

          @Deprecated
          public static final IRI LICENSE

      Deprecated.
      odrl:license

    - #### LT

          public static final IRI LT

      odrl:lt

    - #### LTEQ

          public static final IRI LTEQ

      odrl:lteq

    - #### MEDIA

          public static final IRI MEDIA

      odrl:media

    - #### METERED_TIME

          public static final IRI METERED_TIME

      odrl:meteredTime

    - #### MODIFY

          public static final IRI MODIFY

      odrl:modify

    - #### MOVE

          public static final IRI MOVE

      odrl:move

    - #### NEQ

          public static final IRI NEQ

      odrl:neq

    - #### NEXT_POLICY

          public static final IRI NEXT_POLICY

      odrl:nextPolicy

    - #### OBTAIN_CONSENT

          public static final IRI OBTAIN_CONSENT

      odrl:obtainConsent

    - #### PAY

          @Deprecated
          public static final IRI PAY

      Deprecated.
      odrl:pay

    - #### PAY_AMOUNT

          public static final IRI PAY_AMOUNT

      odrl:payAmount

    - #### PERCENTAGE

          public static final IRI PERCENTAGE

      odrl:percentage

    - #### PERM

          public static final IRI PERM

      odrl:perm

    - #### PLAY

          public static final IRI PLAY

      odrl:play

    - #### POLICY_USAGE

          public static final IRI POLICY_USAGE

      odrl:policyUsage

    - #### PRESENT

          public static final IRI PRESENT

      odrl:present

    - #### PREVIEW

          @Deprecated
          public static final IRI PREVIEW

      Deprecated.
      odrl:preview

    - #### PRINT

          public static final IRI PRINT

      odrl:print

    - #### PRODUCT

          public static final IRI PRODUCT

      odrl:product

    - #### PROHIBIT

          public static final IRI PROHIBIT

      odrl:prohibit

    - #### PURPOSE

          public static final IRI PURPOSE

      odrl:purpose

    - #### READ

          public static final IRI READ

      odrl:read

    - #### RECIPIENT

          public static final IRI RECIPIENT

      odrl:recipient

    - #### RELATIVE_POSITION

          public static final IRI RELATIVE_POSITION

      odrl:relativePosition

    - #### RELATIVE_SIZE

          public static final IRI RELATIVE_SIZE

      odrl:relativeSize

    - #### RELATIVE_SPATIAL_POSITION

          public static final IRI RELATIVE_SPATIAL_POSITION

      odrl:relativeSpatialPosition

    - #### RELATIVE_TEMPORAL_POSITION

          public static final IRI RELATIVE_TEMPORAL_POSITION

      odrl:relativeTemporalPosition

    - #### REPRODUCE

          public static final IRI REPRODUCE

      odrl:reproduce

    - #### RESOLUTION

          public static final IRI RESOLUTION

      odrl:resolution

    - #### REVIEW_POLICY

          public static final IRI REVIEW_POLICY

      odrl:reviewPolicy

    - #### SECONDARY_USE

          @Deprecated
          public static final IRI SECONDARY_USE

      Deprecated.
      odrl:secondaryUse

    - #### SELL

          public static final IRI SELL

      odrl:sell

    - #### SHARE

          @Deprecated
          public static final IRI SHARE

      Deprecated.
      odrl:share

    - #### SHARE_ALIKE

          @Deprecated
          public static final IRI SHARE_ALIKE

      Deprecated.
      odrl:shareAlike

    - #### SPATIAL

          public static final IRI SPATIAL

      odrl:spatial

    - #### SPATIAL_COORDINATES

          public static final IRI SPATIAL_COORDINATES

      odrl:spatialCoordinates

    - #### STREAM

          public static final IRI STREAM

      odrl:stream

    - #### SUPPORT

          @Deprecated
          public static final IRI SUPPORT

      Deprecated.
      odrl:support

    - #### SYNCHRONIZE

          public static final IRI SYNCHRONIZE

      odrl:synchronize

    - #### SYSTEM

          @Deprecated
          public static final IRI SYSTEM

      Deprecated.
      odrl:system

    - #### SYSTEM_DEVICE

          public static final IRI SYSTEM_DEVICE

      odrl:systemDevice

    - #### TEXT_TO_SPEECH

          public static final IRI TEXT_TO_SPEECH

      odrl:textToSpeech

    - #### TIME_INTERVAL

          public static final IRI TIME_INTERVAL

      odrl:timeInterval

    - #### TRANSFER

          public static final IRI TRANSFER

      odrl:transfer

    - #### TRANSFORM

          public static final IRI TRANSFORM

      odrl:transform

    - #### TRANSLATE

          public static final IRI TRANSLATE

      odrl:translate

    - #### UNINSTALL

          public static final IRI UNINSTALL

      odrl:uninstall

    - #### UNIT_OF_COUNT

          public static final IRI UNIT_OF_COUNT

      odrl:unitOfCount

    - #### USE

          public static final IRI USE

      odrl:use

    - #### VERSION

          public static final IRI VERSION

      odrl:version

    - #### VIRTUAL_LOCATION

          public static final IRI VIRTUAL_LOCATION

      odrl:virtualLocation

    - #### WATERMARK

          public static final IRI WATERMARK

      odrl:watermark

    - #### WRITE

          @Deprecated
          public static final IRI WRITE

      Deprecated.
      odrl:write

    - #### WRITE_TO

          @Deprecated
          public static final IRI WRITE_TO

      Deprecated.
      odrl:writeTo

  - ### Constructor Detail

    - #### ODRL2

          public ODRL2()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.